import type { VueNode } from '@antdv/pro-utils';
import type { ExtractPublicPropTypes, VNode } from 'vue';
import type { AppItemProps } from './types';
export declare function renderLogo(logo: VNode | (() => VNode), title?: VueNode): VNode;
declare const simpleContentProps: {
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
};
export type SimpleContentProps = ExtractPublicPropTypes<typeof simpleContentProps>;
declare const SimpleContent: import("vue").DefineComponent<import("vue").ExtractPropTypes<{
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>, () => import("vue/jsx-runtime").JSX.Element, {}, {}, {}, import("vue").ComponentOptionsMixin, import("vue").ComponentOptionsMixin, {}, string, import("vue").PublicProps, Readonly<import("vue").ExtractPropTypes<{
    readonly appList: import("@antdv/pro-utils").VueTypeValidateDef<AppItemProps[], import("@antdv/pro-utils").ValidatorFunction<AppItemProps[]>>;
    readonly itemClick: import("@antdv/pro-utils").VueTypeValidateDef<(item: AppItemProps) => void, import("@antdv/pro-utils").ValidatorFunction<(item: AppItemProps) => void>>;
    readonly baseClassName: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
    readonly hashId: import("@antdv/pro-utils").VueTypeValidateDef<string, import("@antdv/pro-utils").ValidatorFunction<string>>;
}>> & Readonly<{}>, {}, {}, {}, {}, string, import("vue").ComponentProvideOptions, true, {}, any>;
export { SimpleContent };
